Bug 123125 - resume from "suspend to RAM" casuses system lockup; acpi lid closure event not detected
resume from "suspend to RAM" casuses system lockup; acpi lid closure event no...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-12 14:35 EDT by JCC
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JCC 2004-05-12 14:35:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
basically ACPI on my presario 2195us does not react properly to basic
events:

1.  If the laptop is suspended to RAM (which appears to function ok)
and then resumed, the laptop hangs hard requiring a re-boot to recover.

2.  When I close the display lid, the system does not react.  ACPI
should put the laptop in a sleep state; preferbly suspend to RAM.



Version-Release number of selected component (if applicable):
kernel 2.6.5-1.357, acpid-1.0.2-6

How reproducible:
Always

Steps to Reproduce:
1. echo 3 > /proc/acpi/sleep
2. press power button after system is susupended
3.


Actual Results:  A message on the display indicating resume in
progress then display goes blank and system is hung.

Expected Results:  System should have resumed to previous session.

Additional info:
Comment 1 Bill Nottingham 2004-05-21 16:58:58 EDT
It's know that there's no mapping for the lid button. Assigning to
kernel for the hang.
Comment 2 Brian J. Murrell 2004-07-30 15:44:49 EDT
Maybe I have some more information on this issue from my kernel.org
bugzilla report (http://bugme.osdl.org/show_bug.cgi?id=3121):

oops when resuming from a sleep (mem >/sys/power/state)

Distribution: Fedora Core/Rawhide
Hardware Environment: Dell Inspiron 4150
Software Environment: Fedora Core 2/Rawhide
Problem Description: when returning from a sleep, the kernel oopses

Steps to reproduce:
- boot kernel (fedora kernel 2.6.7-1.494 currently)
- as root: "echo mem >/sys/power/state" and watch as it goes to sleep
- press power button to wake it up and watch on the console as it does:
Back to C!
zapping low mappings.
Warning: CPU frequency out of sync: cpufreq and timingcore thinks of
1200000,
i.divide error: 0000 [#1]
Modules linked in: parport_pc lp parport autofs4 ds yenta_socket
pcmcia_core
sudCPU:    0
EIP:    0060:[<021120a1>]    Not tainted
EFLAGS: 00000212   (2.6.7-1.494)
EIP is at time_cpufreq_notifier+0x258/0x25e
eax: 023404c8   ebx: 00000891   ecx: 0021794a   edx: 0000080e
esi: 00000000   edi: 208c6ef0   ebp: 00000004   esp: 208c6ec4
ds: 0068   es: 007b   ss: 0068
Process bash (pid: 5940, threadinfo=208c6000 task=1f402630)
Stack: 0233dcc0 208c6ef0 00000008 0212d821 208c6ef0 21f68684 023c1828
02291fd9
       02325967 00124f80 002191c0 00000000 00124f80 002191c0 0210ef34
0235fcb4
       02355800 0222ced1 00000000 00000002 00000246 0222fefc 02139fa6
00000002
Call Trace:
 [<0212d821>] notifier_call_chain+0x17/0x2b
 [<02291fd9>] cpufreq_resume+0xa9/0xd1
 [<0210ef34>] mtrr_restore+0x42/0x47
 [<0222ced1>] sysdev_resume+0x55/0xa5
 [<0222fefc>] device_power_up+0x5/0xa
 [<02139fa6>] suspend_enter+0x25/0x2d
 [<0213a029>] enter_state+0x54/0x7f
 [<0213a131>] state_store+0x84/0x99
 [<0213a0ad>] state_store+0x0/0x99
 [<021a6023>] subsys_attr_store+0x19/0x21
 [<021a6196>] flush_write_buffer+0x1d/0x22
 [<021a61bd>] sysfs_write_file+0x22/0x35
 [<021614db>] vfs_write+0xb6/0xe2
 [<02161575>] sys_write+0x2c/0x42
Code: 31 c0 5b 5e 5f c3 55 bd a4 dc 33 02 57 56 53 83 ec 24 8b 35

My platform is P4 mobile however, not athlon.
Comment 3 Dave Jones 2004-12-08 01:39:58 EST
fixed in 2.6.9 update ?
Comment 4 Dave Jones 2005-04-16 00:54:31 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.